package com.keyware.shandan.system.constants;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * @author GuoXin
 * @date 2022-05-20-14:44
 */
@AllArgsConstructor
@Getter
public enum FormTypeEnum {
    /**
     * 数据资源注册表单
     */
    metadataEditForm(1,"数据资源注册表单"),
    /**
     * 文件上传表单
     */
    fileUploadForm(2, "文件上传表单"),
    /**
     * 文件夹上传表单
     */
    @Deprecated
    dirUploadForm(3, "文件夹上传表单");

    @EnumValue
    private final Integer value;

    /**
     * 描述
     */
    private final String desc;

    /**
     * 获取Map类型的枚举对象
     * @return Map<String, String>
     */
    public static Map<String, String> getMap() {
        Map<String, String> map = new HashMap<>();
        for (FormTypeEnum formTypeEnum : FormTypeEnum.values()) {
            map.put(formTypeEnum.name(), formTypeEnum.getDesc());
        }
        return map;
    }
}
